/**
 * @class CommandResult
 * @classdesc This result object is returned by each command that inherits from
 * the abstract 'Command' class.
 * @author ruckola
 * @property {string} this.cmd - The name of the command that returned the data or value.
 * @property {array} this.data - The actual data or value of the command.
 * @property {string} this.msg - A short descriptive message about this result.
 */
class CommandResult {

    /**
     * @constructor
     */
    constructor() {
        
        this.cmd = '';
        this.data = [];
        this.msg = '';
    }

}

module.exports = CommandResult;